#ifndef __XBMENCOD_H
#define __XBMENCOD_H
//
// Copyright (c) 1997,1998 Colosseum Builders, Inc.
// All rights reserved.
//
// Colosseum Builders, Inc. makes no warranty, expressed or implied
// with regards to this software. It is provided as is.
//
// See the README.TXT file that came with this software for restrictions
// on the use and redistribution of this file or send E-mail to
// info@colosseumbuilders.com
//

//
//  Title:  XBM Encoder Class Definition
//
//  Author:  John M. Miano  miano@colosseumbuilers.com
//

#include "bitimage.h"
#include "grexcept.h"

class XbmEncoder : public BitmapImageEncoder
{
public:
  XbmEncoder () ;
  XbmEncoder (const XbmEncoder &) ;
  virtual ~XbmEncoder () ;
  XbmEncoder &operator=(const XbmEncoder &) ;
  void WriteImage (std::ostream &, BitmapImage &) ;

  int GetHotSpotX () const ;
  void SetHotSpotX (int value) ;
  int GetHotSpotY () const ;
  void SetHotSpotY (int value) ;
  void SetImageName (const std::string &) ;
  std::string GetImageName () const ;

private:
  void Initialize () ;
  void DoCopy (const XbmEncoder &) ;

  // Image Properties
  std::string image_name ;
  int hot_spot_x ;
  int hot_spot_y ;
} ;


#endif
                                                          
